---
title: "List Wallets"
source_url: https://docs.rapyd.net/en/list-wallets.html
lang: en
---

# List Wallets

Retrieve a list of Rapyd Wallets.

You can filter the list with query parameters.

> **Note:**
>
> - This endpoint replaces the deprecated endpoint - `get /v1/user/wallets`
>
>   Rapyd no longer supports the deprecated endpoint.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Wallet Errors](https://docs.rapyd.net/en/wallet-errors.md "Wallet Errors")
>     - [Wallet Contact Errors](https://docs.rapyd.net/en/wallet-contact-errors.md "Wallet Contact Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Query Parameters

- - currency
  - Filters the list for wallets with an account in the specified currency. Three-letter ISO 4217 code for the currency.
- - ewallet_reference_id
  - Wallet ID defined by the customer or end user. Must be unique.
- - min_balance
  - Filters the list for wallets with an account in the defined `currency`, with an available balance of at least the specified value. If this parameter is set, `currency` is required.
- - page_number
  - Page number to retrieve. If `page_number` is not specified, page 1 is retrieved.
- - page_size
  - Number of results per page.
- - parent_ewallet
  - Filters the list for the parent wallet of one or more **person** wallets. String starting with **ewallet_**.
- - type
  - Type of wallet:

    - **company**
    - **person**
    - **client**

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - accounts
  - An array of objects with the following fields:

    - - alias
      - Alternate text description of the currency.
    - - balance
      - Available funds in the account.
    - - currency
      - Three-letter ISO 4217 code for the currency used in the `balance` field.
    - - id
      - ID of the account. UUID.
    - - limit
      - Reserved.
    - - limits
      - Reserved.
    - - on_hold_balance
      - Amount in the on-hold balance of the account.
    - - received_balance
      - Amount of escrow funds in the account.
    - - reserve_balance
      - Amount in the reserve balance of the account.
- - category
  - Indicates the type of client wallet. One of the following:

    - **collect**
    - **disburse**
    - **card_authorization**
    - **general**
- - cnls_partner_query_reference
  - Value of the `partner_query_reference` parameter used as the query request ID in the Card Network Lookup Service (CNLS). See [Retrieve Query Results](https://docs.rapyd.net/en/retrieve-query-results.md "Retrieve Query Results"). Relevant to Payment Facilitator (PayFac).
- - contacts
  - Contains the following fields:

    - - data
      - An array of 'contact' objects. For details about the fields of the 'contact' object, see [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet").
    - - has_more
      - Indicates whether there are more contacts than appear in the `data` array.
    - - total_count
      - The total number of contacts in the wallet.
    - - url
      - URL to retrieve all contacts in the wallet. Use HTTP get.
- - email
  - Email address of the wallet owner. Deprecated. The email address belongs to the contact.
- - ewallet_reference_id
  - Wallet ID defined by the customer or end user.
- - first_name
  - First name of the wallet owner.
- - id
  - Unique identifier of the wallet object. String starting with **ewallet_**.
- - last_name
  - Family name of the wallet owner.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - parent_ewallet
  - ID of the parent wallet. String starting with **ewallet_**.
- - phone_number
  - Phone number of the wallet owner in E.164 format. Deprecated. The phone number belongs to the contact.
- - status
  - Status of the wallet. One of the following:

    - **ACT** - Enabled and active.
    - **CLO** - Permanently closed.
    - **DIS** - Disabled.
    - **DEL** - Deleted.
- - type
  - Type of wallet. One of the following:

    - **company** - A business wallet.
    - **person** - The wallet of an individual consumer.
    - **client** - A wallet for the Rapyd client. To create additional wallets of this type, contact [Client Support](https://support.rapyd.net).
- - verification_status
  - Result of the verification check. One of the following:

    - **not verified** - The contact has not been submitted for the **Know Your Customer** checks.
    - **KYCd** - The user has passed the **Know Your Customer** checks.

- /v1/ewallets

- List Wallets
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "2a2652c1-c63e-4c95-a7e2-9ca98e30fd1d"
      },
      "data": [
          {
              "phone_number": "+972544352994",
              "email": null,
              "first_name": "",
              "last_name": "",
              "id": "ewallet_c1943cfeda5f98247ab117e5d2648861",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "4d4b3097-2cce-11eb-9403-124eb1b705c1",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 191254.92,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "4d4d1d80-2cce-11eb-9403-124eb1b705c1",
                      "currency": "EUR",
                      "alias": "EUR",
                      "balance": 9462.55,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "e82079e4-4dc6-11eb-9403-124eb1b705c1",
                      "currency": "CRC",
                      "alias": "CRC",
                      "balance": 1231,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "b4867064-6930-11eb-9403-124eb1b705c1",
                      "currency": "AUD",
                      "alias": "AUD",
                      "balance": 10,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "a9d54ad8-6931-11eb-9403-124eb1b705c1",
                      "currency": "MXN",
                      "alias": "MXN",
                      "balance": 12313,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "672e4178-7b63-11eb-9403-124eb1b705c1",
                      "currency": "SGD",
                      "alias": "SGD",
                      "balance": 39.31,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "512a4442-c13f-11eb-b38b-02240218ee6d",
                      "currency": "ILS",
                      "alias": "ILS",
                      "balance": 123.45,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "cbf81351-c144-11eb-b38b-02240218ee6d",
                      "currency": "DKK",
                      "alias": "DKK",
                      "balance": 8419,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "2c77503b-c20e-11eb-b38b-02240218ee6d",
                      "currency": "PHP",
                      "alias": "PHP",
                      "balance": 101,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "ad0d9360-d4f5-11eb-b38b-02240218ee6d",
                      "currency": "ISK",
                      "alias": "ISK",
                      "balance": 5022331,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "faaff808-deea-11eb-b38b-02240218ee6d",
                      "currency": "INR",
                      "alias": "INR",
                      "balance": 405,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "2bf4419c-f43a-11eb-b4eb-1207e877fa49",
                      "currency": "BRL",
                      "alias": "BRL",
                      "balance": 281.27,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "fb023260-5ce0-11ec-b4eb-1207e877fa49",
                      "currency": "GBP",
                      "alias": "GBP",
                      "balance": 3465.91,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "801d7cab-dc0b-4efb-86c9-5dfd3beb9b7d",
                      "currency": "COP",
                      "alias": "COP",
                      "balance": 250,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "client",
              "metadata": {},
              "ewallet_reference_id": "Primary Account",
              "category": "general",
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+13716784041",
              "email": null,
              "first_name": "Mark",
              "last_name": "Holinder",
              "id": "ewallet_d496b5377c6c6c1d8c0c9ba3fec1d073",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "4d7bda43-2cce-11eb-9403-124eb1b705c1",
                      "currency": "EUR",
                      "alias": "EUR",
                      "balance": 10,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {},
              "ewallet_reference_id": null,
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          }
      ]
  }
  ```

- List Wallets by Type
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?type=company' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a9b96150-2e20-4553-9514-ee85c1fcfeb2"
      },
      "data": [
          {
              "phone_number": "+14155557778",
              "email": "fourstar@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_81f51b74736793aa47440f0e575abd12",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "dba1796e-2d84-11eb-9403-124eb1b705c1",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 140.9,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-77781",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155557779",
              "email": "fourstar1@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_5d5610359ef9241f491020fdcbbd084c",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-77782",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          }{
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a9b96150-2e20-4553-9514-ee85c1fcfeb2"
      },
      "data": [
          {
              "phone_number": "+14155557778",
              "email": "fourstar@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_81f51b74736793aa47440f0e575abd12",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "dba1796e-2d84-11eb-9403-124eb1b705c1",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 140.9,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-77781",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155557779",
              "email": "fourstar1@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_5d5610359ef9241f491020fdcbbd084c",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-77782",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155551234",
              "email": "johndoe12162020@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": null,
              "id": "ewallet_053d64c44834e1d3057ecb68a34c6b6c",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "df9abb16-5676-11eb-9403-124eb1b705c1",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 832.44,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "f50244a0-b3b6-11eb-9403-124eb1b705c1",
                      "currency": "MXN",
                      "alias": "MXN",
                      "balance": 5000,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": "updated"
              },
              "ewallet_reference_id": "4-star-pro-12162023",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "Four Star Professional Services",
              "last_name": null,
              "id": "ewallet_62f756c384f52bb2aaf7f6a05da36b9f",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "4-star-pro-12152020",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "Four Star Professional Services",
              "last_name": null,
              "id": "ewallet_a2fbd735a4307c95a1295c9f2ac8a1a0",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "4-star-pro-12142020",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155557780",
              "email": "fourstar111@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_6018af0e10139d83d1a26e9e9371baba",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-7778111",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155558774",
              "email": "fourstar8778@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_74a53a88a321ba9ec08f8e4b46c593aa",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-8774",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": "+14155558779",
              "email": "fourstar2@rapyd.net",
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_2a7c29352fe598935dc66254ef06797b",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "b-8778b",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "John",
              "last_name": "Doe",
              "id": "ewallet_3938b111323adf987648a0143d538738",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": null,
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "Four Star Professional Services",
              "last_name": "",
              "id": "ewallet_e9e973e1c8b9cd030ce573157702ff78",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "29b7cb66-d369-11eb-b38b-02240218ee6d",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 66.77,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "company",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "Aldo-2",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          }
      ]
  }
  ```

- List Wallets by Wallet Reference ID
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?ewallet_reference_id=e-8968' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "795c645c-69fc-4122-a2d1-2394aaa9598d"
      },
      "data": [
          {
              "phone_number": null,
              "email": null,
              "first_name": "John",
              "last_name": "Doe",
              "id": "ewallet_755b0fd11fd22b33328fff7d30f3ce30",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "c4e104df-2cdc-11eb-9403-124eb1b705c1",
                      "currency": "USD",
                      "alias": "USD",
                      "balance": 11600.15,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "f1bd62dc-33b1-11eb-9403-124eb1b705c1",
                      "currency": "PHP",
                      "alias": "PHP",
                      "balance": 1992,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "6fc50ea7-445b-11eb-9403-124eb1b705c1",
                      "currency": "AUD",
                      "alias": "AUD",
                      "balance": 4,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "ebbccdbf-5e43-11eb-9403-124eb1b705c1",
                      "currency": "EUR",
                      "alias": "EUR",
                      "balance": 4209.03,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "5f2b8224-e962-45d6-b27a-b25a734ccfea",
                      "currency": "MXN",
                      "alias": "MXN",
                      "balance": 100,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "e-8968",
              "category": null,
              "parent_ewallet": null,
              "cnls_partner_query_reference": null
          }
      ]
  }
  ```

- List Wallets by Associated Parent Wallet
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?parent_ewallet=ewallet_b5320c566cc4aa01fe77440ad08693f7' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "286764f8-7e82-4425-9ea8-b54619d93c46"
      },
      "data": [
          {
              "phone_number": null,
              "email": "jane.smith.162417@example.com",
              "first_name": "Jane",
              "last_name": "Smith",
              "id": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "49b2c1db-dd26-444f-8667-5508ae901de5",
                      "currency": "EUR",
                      "alias": "EUR",
                      "balance": 101,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "d722c12f-e88f-47b8-a2a1-96606b0ee997",
                      "currency": "HKD",
                      "alias": "HKD",
                      "balance": 130356.1,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "erd-2025-08-10b",
              "category": null,
              "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "John",
              "last_name": "Doe",
              "id": "ewallet_2e68f9992c92118898b5e62bb085dcdc",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {},
              "ewallet_reference_id": "erd-2025-08-10d",
              "category": null,
              "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "Jane",
              "last_name": "Doe",
              "id": "ewallet_d40abe39945835343d0b8f39c131a502",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {},
              "ewallet_reference_id": "erd-2025-08-10c",
              "category": null,
              "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "cnls_partner_query_reference": null
          },
          {
              "phone_number": null,
              "email": null,
              "first_name": "John",
              "last_name": "Doe",
              "id": "ewallet_c3603e7225f7406439b79ac04892bc44",
              "status": "ACT",
              "accounts": [],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {},
              "ewallet_reference_id": null,
              "category": null,
              "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "cnls_partner_query_reference": null
          }
      ]
  }
  ```

- List Wallets by Currency and Balance
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?min_balance=10&currency=HKD' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "f6d6052f-ffce-4f5c-8786-ef1a64e57489"
      },
      "data": [
          {
              "phone_number": null,
              "email": "jane.smith.162417@example.com",
              "first_name": "Jane",
              "last_name": "Smith",
              "id": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
              "status": "ACT",
              "accounts": [
                  {
                      "id": "49b2c1db-dd26-444f-8667-5508ae901de5",
                      "currency": "EUR",
                      "alias": "EUR",
                      "balance": 101,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  },
                  {
                      "id": "d722c12f-e88f-47b8-a2a1-96606b0ee997",
                      "currency": "HKD",
                      "alias": "HKD",
                      "balance": 130356.1,
                      "received_balance": 0,
                      "on_hold_balance": 0,
                      "reserve_balance": 0,
                      "limits": null,
                      "limit": null
                  }
              ],
              "verification_status": "not verified",
              "type": "person",
              "metadata": {
                  "merchant_defined": true
              },
              "ewallet_reference_id": "erd-2025-08-10b",
              "category": null,
              "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
              "cnls_partner_query_reference": null
          }
      ]
  }
  ```

- Bad Request - Invalid Currency
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?currency=XYZ' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_FIELDS - [CURRENCY]",
          "status": "ERROR",
          "message": "The request attempted an operation, but one or more of the fields did not have a valid value. The request was rejected. Corrective action: Use valid values. The names of the affected fields appear at the end of the error code. See the API Reference for details.",
          "response_code": "INVALID_FIELDS - [CURRENCY]",
          "operation_id": "f31044d1-fb5e-4504-a899-402cc5245999"
      }
  }
  ```

- Bad Request - Invalid Type
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets?type=business' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_INVALID_EWALLET_TYPE",
          "status": "ERROR",
          "message": "The request attempted an operation that requires the 'type' parameter, but the 'type' was not a recognized value. The request was rejected. Corrective action: Set 'type' to one of the following values: 'person', 'company', 'client'.",
          "response_code": "ERROR_INVALID_EWALLET_TYPE",
          "operation_id": "f597cd93-2682-458a-809a-418f6b61c7ea"
      }
  }
  ```
